JUCE: ARAPlaybackRegionListener Class Reference

JUCE

Public Member Functions | List of all members
ARAPlaybackRegionListener Class Reference
juce_audio_processors » utilities

A base class for listeners that want to know about changes to an ARAPlaybackRegion object. More...

`#include <juce_ARAModelObjects.h>`

Inheritance diagram for ARAPlaybackRegionListener:

## Public Member Functions
virtual | ~ARAPlaybackRegionListener ()=default
| Destructor. More...
virtual ARA_DISABLE_UNREFERENCED_PARAMETER_WARNING_BEGIN void | willUpdatePlaybackRegionProperties (ARAPlaybackRegion *playbackRegion, ARA::PlugIn::PropertiesPtr< ARA::ARAPlaybackRegionProperties > newProperties)
| Called before the playback region's properties are updated. More...
virtual void | didUpdatePlaybackRegionProperties (ARAPlaybackRegion *playbackRegion)
| Called after the playback region's properties are updated. More...
virtual void | didUpdatePlaybackRegionContent (ARAPlaybackRegion *playbackRegion, ARAContentUpdateScopes scopeFlags)
| Called when the playback region's content (i.e. More...
virtual void | willDestroyPlaybackRegion (ARAPlaybackRegion *playbackRegion)
| Called before the playback region is destroyed. More...

## Detailed Description

A base class for listeners that want to know about changes to an ARAPlaybackRegion object.

Use ARAPlaybackRegion::addListener() to register your listener with an ARAPlaybackRegion.

## Constructor & Destructor Documentation

## ◆ ~ARAPlaybackRegionListener()

virtual ARAPlaybackRegionListener::~ARAPlaybackRegionListener | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ willUpdatePlaybackRegionProperties()

virtual ARA_DISABLE_UNREFERENCED_PARAMETER_WARNING_BEGIN void ARAPlaybackRegionListener::willUpdatePlaybackRegionProperties | ( | ARAPlaybackRegion * | playbackRegion,
|  | ARA::PlugIn::PropertiesPtr< ARA::ARAPlaybackRegionProperties > | newProperties
| ) |  |
| virtual

Called before the playback region's properties are updated.

Parameters

  playbackRegion | The playback region whose properties will be updated.
  newProperties | The playback region properties that will be assigned to `playbackRegion`.

Reimplemented in ARAPlaybackRegionReader.

References ignoreUnused().

## ◆ didUpdatePlaybackRegionProperties()

virtual void ARAPlaybackRegionListener::didUpdatePlaybackRegionProperties | ( | ARAPlaybackRegion * | playbackRegion | ) |
| virtual

Called after the playback region's properties are updated.

Parameters

  playbackRegion | The playback region whose properties were updated.

References ignoreUnused().

## ◆ didUpdatePlaybackRegionContent()

virtual void ARAPlaybackRegionListener::didUpdatePlaybackRegionContent | ( | ARAPlaybackRegion * | playbackRegion,
|  | ARAContentUpdateScopes | scopeFlags
| ) |  |
| virtual

Called when the playback region's content (i.e.

samples or notes) changes.

Parameters

  playbackRegion | The playback region with updated content.
  scopeFlags | The scope of the content update.

Reimplemented in ARAPlaybackRegionReader.

References ignoreUnused().

## ◆ willDestroyPlaybackRegion()

virtual void ARAPlaybackRegionListener::willDestroyPlaybackRegion | ( | ARAPlaybackRegion * | playbackRegion | ) |
| virtual

Called before the playback region is destroyed.

Parameters

  playbackRegion | The playback region that will be destroyed.

Reimplemented in ARAPlaybackRegionReader.

References ignoreUnused().

The documentation for this class was generated from the following file:

- juce_ARAModelObjects.h